-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

in    λ(boot : Genode.Boot.Type)
    → { config = boot.config
      , rom =
            Genode.BootModules.toRomPaths [ (env:MANIFEST).solo5.lib.solo5 ]
          # boot.rom
      }
